@import "variables";
@import "fonts";
@import "typography";

//base styles, and base classes like wrappers, containers or clearfix...

html, body {
    width: 100%;
    height: 100%;
}

body {
    box-sizing: border-box;
    padding: 50px;
    background-color: #c8cfdc;
}

//*{
//    color: #333;
//}

.container {
    max-width: 1280px;
    width: 100%;
    min-height: 100%;
    margin: auto;
    background-color: #fff;
    box-shadow: 0 0 2px 0 #000;
}

a {
    color: #414141;
    text-decoration: none;
    &:hover {
        color: #0089cf;
    }
}

ul {
    list-style: none;
    padding-left: 0;
}


.form-control {
    display: block;
    input[type='text'], input[type='password'], input[type='email'], input[type='number'] {
        border: none;
        border-bottom: 2px solid #0089cf;
        outline: none;
        &:focus ~ label {
            color: #0089cf;
        }
    }
}

.form-control-inline-flex {
    display: inline-flex;
    align-items: center;
}

.form-control-inline {
    display: inline-block;
}

.hide{
    display: none;
}

.show-extra-small{
    display: none;
}

.wrap-flex{
    display: flex;
}

.hide-visibility{
    visibility: hidden;
}

@include breakpoint('medium') {
    .hide-medium {
        display: none;
    }
}

@include breakpoint('small') {
    body{
        padding: 15px;
    }

    .hide-medium {
        display: inline-block;
    }

    .hide-small {
        display: none;
    }
}

@include breakpoint('extra-small') {
    .hide-medium {
        display: inline-block;
    }

    .hide-extra-small {
        display: none;
    }

    .show-extra-small{
        display: block;
    }

}


